unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org
Subject: [PATCH 2/4] perf-test: add tests for notmuch-git
Date: Sun,  3 Jul 2022 12:11:01 -0300	[thread overview]
Message-ID: <20220703151103.1800726-3-david@tethera.net> (raw)
In-Reply-To: <20220703151103.1800726-1-david@tethera.net>

The main focus of these initial tests is the (currently unacceptably
slow) checkout performance.
---
 performance-test/T07-git.sh | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100755 performance-test/T07-git.sh

diff --git a/performance-test/T07-git.sh b/performance-test/T07-git.sh
new file mode 100755
index 00000000..11dfec05
--- /dev/null
+++ b/performance-test/T07-git.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+test_description='notmuch-git'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+time_start
+
+time_run 'init' "notmuch git init"
+
+time_run 'commit --force' "notmuch git commit --force"
+time_run 'commit' "notmuch git -l error commit"
+time_run 'commit' "notmuch git -l error commit"
+
+time_run 'checkout' "notmuch git checkout"
+
+time_run 'tag -inbox' "notmuch tag -inbox '*'"
+
+time_run 'checkout --force' "notmuch git checkout --force"
+
+
+
+time_done
-- 
2.35.2

  parent reply	other threads:[~2022-07-03 15:11 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-03 15:10 performance improvements for notmuch git checkout David Bremner
2022-07-03 15:11 ` [PATCH 1/4] debian: add git as a build-dependency, for the test suite David Bremner
2022-07-07 10:30   ` David Bremner
2022-07-03 15:11 ` David Bremner [this message]
2022-07-05 16:40   ` [PATCH 2/4] perf-test: add tests for notmuch-git Tomi Ollila
2022-07-07  9:47     ` David Bremner
2022-07-03 15:11 ` [PATCH 3/4] CLI/git: current cache contents (file list) of index David Bremner
2022-07-03 15:11 ` [PATCH 4/4] CLI/git: replace calls to notmuch-search with database access David Bremner
2022-07-07 14:51   ` Tomi Ollila
2022-07-07 15:59     ` David Bremner
2022-07-09 19:35       ` Michael J Gruber
2022-07-15 14:43   ` [PATCH v2] CLI/git: opportunistically use bindings to check for known messages David Bremner
2022-07-16 19:23     ` Tomi Ollila
2022-07-17  0:51       ` David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220703151103.1800726-3-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).